Subject: Re: bug#52073: remove Google support from GVFS?

From: Leo Famulari <[email-masked]>
Date: Wed, 24 Nov 2021 12:33:56 -0500

On Wed, Nov 24, 2021 at 06:00:15AM +0100, raingloom wrote:
> I'd love to say it's because I want the package to be more in line with
> libre software guidelines, but honestly I just don't want WebKitGTK as
> a transitive input. A few weeks ago I had to remove GVFS from my system
> because WebKitGTK was failing to build.

Can you explain the connection between libre software guidelines (FSDG),
GVFS, and WebKitGTK?

If the problem was simply that the WebKitGTK package was broken for a
few days, I'm sorry, that was my mistake.

> Then again if I had to connect to Google Drive or Picasa or whatever
> I'd rather do it through libre software, so maybe it should stay.

GNU's position is that services are not "free" or "nonfree" in the way
that software is. So, it shouldn't be a problem that Guix packages can
use 3rd party services.

https://www.gnu.org/philosophy/network-services-arent-free-or-nonfree.en.html